Сначала я ввёл команду:

```
git init
```

```
Initialized empty Git repository in  C:/Users/user/Desktop/sas/.git/
```

После же я ввёл команды:

```
git config user.name kboykov
git config user.email boykov.2006@list.ru
```

Я проверил работоспособность данных командой:

```
git status
```

Я ещё раз проверил и привязал .gitignore командой:

```
git add "."
```

```
git status
```

```
On branch master

No commits yet

Untracked files:
  (use "git add <file>..." to include in what will be committed)
        .gitignore.txt

nothing added to commit but untracked files present (use "git add" to track)
```

Я создал индекс собственного названия для закрепления и проверки статуса .gitignore командой:

```
git commit -m "second"
```

```
[master (root-commit) 8728dd9] laba
 1 file changed, 7 insertions(+)
 create mode 100644 .gitignore.txt
```

Я закрепил ссылкой на лабораторке командой:

```
git remote add origin https://kolei.ru/kboykov/Lab.git
```

Я произвёл вывод данных на репозиторию и создал ключ командой:

```
git push -u origin master
```

Я повторил те-же самые команды, что и с .gitignore:

```
git commit -m "second"
```

```
On branch master
Your branch is up to date with 'origin/master'.

Untracked files:
  (use "git add <file>..." to include in what will be committed)
        README.md

nothing added to commit but untracked files present (use "git add" to track)
```

```
git add "."
```

```
git commit -m "first"
```

```
[master 31ee088] first
 1 file changed, 43 insertions(+)
 create mode 100644 README.md
```

```
git remote add origin https://kolei.ru/kboykov/Lab.git

error: remote origin already exists.
```

```
git push -u origin master
```
Получился вывод данных следующего вида:

```
Enumerating objects: 3, done.
Counting objects: 100% (3/3), done.
Delta compression using up to 16 threads
Compressing objects: 100% (2/2), done.
Writing objects: 100% (3/3), 424 bytes | 424.00 KiB/s, done.
Total 3 (delta 0), reused 0 (delta 0), pack-reused 0
To https://kolei.ru/kboykov/Lab.git
 * [new branch]      master -> master
branch 'master' set up to track 'origin/master'.
```

-Для .gitignore

И,

```
Enumerating objects: 4, done.
Counting objects: 100% (4/4), done.
Delta compression using up to 16 threads
Compressing objects: 100% (3/3), done.
Writing objects: 100% (3/3), 805 bytes | 805.00 KiB/s, done.
Total 3 (delta 0), reused 0 (delta 0), pack-reused 0
To https://kolei.ru/kboykov/Lab.git
   8728dd9..31ee088  master -> master
branch 'master' set up to track 'origin/master'.
```

-Для README